Skip to main content
POST
/
v1
/
youtube
/
transcript
/
batch
Start a batch transcript job
curl --request POST \
  --url https://api.urltodata.ai/v1/youtube/transcript/batch \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "videoIds": [
    "<string>"
  ],
  "playlistId": "<string>",
  "channelId": "<string>",
  "lang": "<string>",
  "text": true,
  "chunkSize": 123,
  "limit": 123
}
'
{
  "jobId": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.urltodata.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
default:your-api-key
required

API key as Bearer token (e.g. Bearer mp_abc123_secret)

Body

application/json
videoIds
string[]
playlistId
string
channelId
string
lang
string
text
boolean
chunkSize
integer
limit
integer

Response

202 - application/json

Job created

jobId
string